.header-mode {
    width: 69px;
    height: 36px;
    border-radius: 60px;
    gap: 1px;
    padding: 2px;
    background: #DAF2E3;
    text-align: center;
    display: flex;
    cursor: pointer;
}

.header-mode span {
    width: 50%;
    line-height: 32px;
    border-radius: 60px;
    cursor: pointer;
}

.header-mode span svg {
    line-height: 32px;
    display: inline-block;
    height: 100%;
}

.dark .header-mode span.header-mode-moon {
    background: #09B363;
}

.dark .header-mode span.header-mode-moon:not(.active) svg {
    filter: invert(1);
}

.dark .header-mode span.header-mode-sun svg {
    filter: initial;
}

.dark .header-mode span.header-mode-sun {
    background: initial;
}

.header-mode span.header-mode-sun {
    background: #09B363;
}

.header-mode span.header-mode-sun svg {
    filter: invert(1);
}

.sport-theme-bongdalu,
.sport-theme-bongdalu-mobile {
    .header-mode {
        height: 24px;
        width: 48px;
        background-color: #00301d;
        border-radius: 20px;
        display: inline-block;
        position: relative;
        transition: all .3s ease-in-out;
        cursor: pointer;
        vertical-align: middle;
        display: flex;
        align-items: center;
    }

    .header-mode span.header-mode-sun,
    .header-mode span.header-mode-moon {
        background: transparent;
        line-height: 1;
    }

    .header-mode span svg {
        line-height: 1;
        height: 17px;
        width: 17px;
    }

    .header-mode>span {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 21px;
        height: 21px;

        path {
            fill: #919191;
            stroke: unset;
        }
    }

    .header-mode>span.active:not(.header-mode-moon) {
        * {
            fill: #ffa64d;
        }
    }

    .header-mode>span.active {
        background-color: #fff;
    }

    .header-mode span.header-mode-sun svg {
        filter: none;
    }

    .header-mode span.header-mode-moon.active svg {
        fill: #707070;
    }
}

.sport-theme-nowgoal {
    .header-mode {
        height: 24px;
        width: 48px;
        background-color: #001f47;
        border-radius: 20px;
        display: inline-block;
        position: relative;
        transition: all .3s ease-in-out;
        cursor: pointer;
        vertical-align: middle;
        display: flex;
        align-items: center;
    }

    .header-mode span.header-mode-sun,
    .header-mode span.header-mode-moon {
        background: transparent;
        line-height: 1;
    }

    .header-mode span svg {
        line-height: 1;
        height: 17px;
        width: 17px;
    }

    .header-mode>span {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 21px;
        height: 21px;

        path {
            fill: #919191;
            stroke: unset;
        }
    }

    .header-mode>span.active:not(.header-mode-moon) {
        * {
            fill: #ffa64d;
        }
    }

    .header-mode>span.active {
        background-color: #fff;
    }

    .header-mode span.header-mode-sun svg {
        filter: none;
    }

    .header-mode span.header-mode-moon.active svg {
        fill: #707070;
    }
}

.header-bongdako {
    .bongdako-dark-mode {
        border-radius: 20px;
        cursor: pointer;
        position: relative;
    }

    .dark-mode-toggle {
        position: absolute;
        width: 16px;
        height: 16px;
        background: white;
        border-radius: 999px;
        top: 50%;
        transform: translateY(-50%);
        left: 2px;
        transition: left 300ms;
    }

    .dark-mode-toggle.active {
        left: 20px;
    }

    .dark-mode-button {
        display: none;
        position: relative;
        z-index: 1;
    }
    .dark-mode-button.active {
        display: block;
    }
}